﻿using FloatingFactory.QuantcastTag.Models;
using Orchard.ContentManagement;
using Orchard.ContentManagement.Drivers;
using Orchard.Localization;

namespace FloatingFactory.QuantcastTag.Drivers {
	public class QuantcastTagSettingsPartDriver : ContentPartDriver<QuantcastTagSettingsPart> {
		private const string TemplateName = "Parts/QuantcastTagSettings";

		public QuantcastTagSettingsPartDriver() {
			T = NullLocalizer.Instance;
		}

		public Localizer T { get; set; }

		protected override string Prefix { get { return "QuantcastTagSettings"; } }
		
		//GET
		protected override DriverResult Editor(QuantcastTagSettingsPart part, dynamic shapeHelper) {
			return ContentShape("Parts_QuantcastTagSettings_Edit",
					() => shapeHelper.EditorTemplate(
						TemplateName: TemplateName,
						Model: part,
						Prefix: Prefix));
		}

		//POST
		protected override DriverResult Editor(QuantcastTagSettingsPart part, IUpdateModel updater, dynamic shapeHelper) {
			updater.TryUpdateModel(part, Prefix, null, null);
			return Editor(part, shapeHelper);
		}
	}
}