﻿using FloatingFactory.QuantcastTag.Models;
using JetBrains.Annotations;
using Orchard.ContentManagement.Handlers;
using Orchard.Data;
using Orchard.Environment.Extensions;

namespace FloatingFactory.QuantcastTag.Handlers {
	[UsedImplicitly]
	[OrchardFeature("FloatingFactory.QuantcastTag")]
	public class QuantcastTagSettingsPartHandler : ContentHandler {
		public QuantcastTagSettingsPartHandler(IRepository<QuantcastTagSettingsPartRecord> repository) {
			Filters.Add(new ActivatingFilter<QuantcastTagSettingsPart>("Site"));
			Filters.Add(StorageFilter.For(repository));
		}
	}
}