﻿using System.Collections.Generic;
using Orchard.Environment.Extensions.Models;
using Orchard.Security.Permissions;

namespace FloatingFactory.QuantcastTag {
	public class Permissions : IPermissionProvider {
		public static readonly Permission ConfigureQuantcastTag = new Permission { Description = "Configure Quantcast Tag", Name = "ConfigureQuantcastTag" };

		public virtual Feature Feature { get; set; }

		public IEnumerable<Permission> GetPermissions() {
            return new[] { ConfigureQuantcastTag };
		}

		public IEnumerable<PermissionStereotype> GetDefaultStereotypes() {
            return new[] { new PermissionStereotype { Name = "Administrator", Permissions = new[] { ConfigureQuantcastTag } } };
		}
	}
}