﻿using System.Collections.Generic;
using FloatingFactory.QuantcastTag.Models;
using Orchard;
using Orchard.ContentManagement;
using Orchard.Environment.Extensions;
using Orchard.Localization;
using Orchard.UI.Admin.Notification;
using Orchard.UI.Notify;

namespace FloatingFactory.QuantcastTag.Services {
    [OrchardFeature("FloatingFactory.QuantcastTag")]
	public class MissingSettingsBanner : INotificationProvider {
		private readonly IOrchardServices _orchardServices;

		public MissingSettingsBanner(IOrchardServices orchardServices) {
			_orchardServices = orchardServices;
			T = NullLocalizer.Instance;
		}

		public Localizer T { get; set; }

		public IEnumerable<NotifyEntry> GetNotifications() {
			var quantcastTagSettings = _orchardServices.WorkContext.CurrentSite.As<QuantcastTagSettingsPart>();
			if (quantcastTagSettings == null || string.IsNullOrWhiteSpace(quantcastTagSettings.QuantcastTagKey)) {
				yield return new NotifyEntry { Message = T("The Quantcast Tag settings need to be configured."), Type = NotifyType.Warning };
			}
		}
	}
}